Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.results
Class ResultsPanelManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.results.ResultsPanelManager

    public class ResultsPanelManager

extends Object

A Singleton that manages the ResultsPanels in the current ProjectView. ResultsPanels appear at the bottom of the screen and display tab-independent data such as search and classification results.

Author:
  Holger Knublauch

Constructor Summary
`ResultsPanelManager()`

Method Summary
`static void` | `addResultsPanel(OWLModel owlModel, ResultsPanel resultsPanel, boolean replace)` Adds a ResultsPanel or replaces an existing one.
`static void` | `addResultsPanel(ResultsPanel resultsPanel, boolean replace)` Deprecated. use the version with the owlModel argument
`static void` | `closeResultsPanel(OWLModel owlModel, ResultsPanel resultsPanel)`
`static void` | `closeResultsPanel(ResultsPanel resultsPanel)` Deprecated. use the other version instead
`static ResultsPanel` | `getResultsPanelByName(OWLModel owlModel, String tabName)`
`static ResultsPanel` | `getResultsPanelByName(String tabName)` Deprecated. use the other version please
`static JSplitPane` | `getSplitPane(OWLModel owlModel)`
`static JTabbedPane` | `getTabbedPane(OWLModel owlModel)`
`static void` | `setSelectedResultsPanel(OWLModel owlModel, ResultsPanel resultsPanel)`
`static void` | `showHostInstance(edu.stanford.smi.protege.model.Instance hostInstance)` Deprecated. use showHostResource instead
`static void` | `showHostResource(RDFResource hostResource)`
`static TripleDisplay` | `showTriple(Triple triple)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultsPanelManager

    public ResultsPanelManager()

Method Detail

### addResultsPanel

    public static void addResultsPanel(ResultsPanel resultsPanel,
                                       boolean replace)

  Deprecated. use the version with the owlModel argument

### addResultsPanel

    public static void addResultsPanel(OWLModel owlModel,
                                       ResultsPanel resultsPanel,
                                       boolean replace)

  Adds a ResultsPanel or replaces an existing one.

  Parameters:
    `resultsPanel` - the ResultsPanel to add
    `replace` - true to replace an existing panel

### closeResultsPanel

    public static void closeResultsPanel(ResultsPanel resultsPanel)

  Deprecated. use the other version instead

### closeResultsPanel

    public static void closeResultsPanel(OWLModel owlModel,
                                         ResultsPanel resultsPanel)

### getResultsPanelByName

    public static ResultsPanel getResultsPanelByName(String tabName)

  Deprecated. use the other version please

### getResultsPanelByName

    public static ResultsPanel getResultsPanelByName(OWLModel owlModel,
                                                     String tabName)

### getSplitPane

    public static JSplitPane getSplitPane(OWLModel owlModel)

### getTabbedPane

    public static JTabbedPane getTabbedPane(OWLModel owlModel)

### setSelectedResultsPanel

    public static void setSelectedResultsPanel(OWLModel owlModel,
                                               ResultsPanel resultsPanel)

### showHostInstance

    public static void showHostInstance(edu.stanford.smi.protege.model.Instance hostInstance)

  Deprecated. use showHostResource instead

### showHostResource

    public static void showHostResource(RDFResource hostResource)

### showTriple

    public static TripleDisplay showTriple(Triple triple)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.